
/*
 Ejecutor.java
 Copyright (C) 2004 Jos Ramn Prez Agera
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

import thes.*;

import java.io.IOException;
import java.io.OptionalDataException;
import java.util.ArrayList;


public class Ejecutor {

	public static void main(String[] args) throws OptionalDataException, ClassNotFoundException, IOException {
		ReaderTXT r=new ReaderTXT(args[0]);
		ArrayList list=r.importThesaurus();
		if(args[1].equals("crealo")){
			Thesaurus newThes= new Thesaurus();
			newThes.setConceptList(list);
			newThes.serializarThesaurus(args[2]);
			System.out.println("El tesauro tiene " + newThes.sizeThesaurus() + " trminos");			
		}else{
			String thesaurusName= args[1];
			Thesaurus thes= new Thesaurus(thesaurusName);
			if(list!=null){
				thes.setConceptList(list);
			}
			thes.serializarThesaurus(thesaurusName);
			System.out.println("El tesauro tiene " + thes.sizeThesaurus() + " trminos");
		}
	}		
}
