/*
 NormalizarTermino.java
 Copyright (C) 2004 Jos Ramn Prez Agera
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package thes;
import java.io.IOException;
import java.io.OptionalDataException;

public class NormalizarTermino {

	public static void main(String[] args) throws OptionalDataException, ClassNotFoundException, IOException {
		String thesaurusName= args[0];
		Thesaurus thes= new Thesaurus(thesaurusName);
		String term="";
		for(int i=1; i<args.length;i++){
			term=term.concat(" ").concat(args[i]);
		}
		System.out.println("La consulta es " + "'" + term + "'");
		Concept c=thes.getConcept(term.toLowerCase().trim());
		if(c!=null){
			System.out.println("El descriptor correspondiente es " + "'" + c.getDescriptor() + "'");
		}else {
			System.out.println("La palabra no aparece en el tesauro");
		}
		System.out.println("El nmero de trminos es de " + thes.sizeThesaurus());
	}
}
